import request from '@/utils/request'

// 查询企业社会保险费缴纳信息列表
export function listPayment(query) {
  return request({
    url: '/basicData/xcrSocialSecurityPayment/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业社会保险费缴纳信息详细
export function getPayment(id) {
  return request({
    url: '/basicData/xcrSocialSecurityPayment/' + id,
    method: 'get'
  })
}

// 新增企业社会保险费缴纳信息
export function addPayment(data) {
  return request({
    url: '/basicData/xcrSocialSecurityPayment',
    method: 'post',
    data: data
  })
}

// 修改企业社会保险费缴纳信息
export function updatePayment(data) {
  return request({
    url: '/basicData/xcrSocialSecurityPayment',
    method: 'put',
    data: data
  })
}

// 删除企业社会保险费缴纳信息
export function delPayment(id) {
  return request({
    url: '/basicData/xcrSocialSecurityPayment/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delPaymentBatch(ids) {
  return request.post('/basicData/xcrSocialSecurityPayment/delete',ids)
}
